import request from '@/utils/request'

// 查询入库通知单历史表列表
export function listRkWareNoticeBak(query) {
  return request({
    url: '/system/rkWareNoticeBak/list',
    method: 'get',
    params: query
  })
}

// 查询入库通知单历史表详细
export function getRkWareNoticeBak(id) {
  return request({
    url: '/system/rkWareNoticeBak/' + id,
    method: 'get'
  })
}

// 新增入库通知单历史表
export function addRkWareNoticeBak(data) {
  return request({
    url: '/system/rkWareNoticeBak',
    method: 'post',
    data: data
  })
}

// 修改入库通知单历史表
export function updateRkWareNoticeBak(data) {
  return request({
    url: '/system/rkWareNoticeBak',
    method: 'put',
    data: data
  })
}

// 删除入库通知单历史表
export function delRkWareNoticeBak(id) {
  return request({
    url: '/system/rkWareNoticeBak/' + id,
    method: 'delete'
  })
}
// 启用
export function enabled(id) {
  return request({
    url: '/system/rkWareNoticeBak/enable/' + id,
    method: 'delete'
  })
}

// 禁用
export function disabled(id) {
  return request({
    url: '/system/rkWareNoticeBak/disable/' + id,
    method: 'delete'
  })
}

// 状态修改
export function changeStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/system/rkWareNoticeBak/changeStatus',
    method: 'put',
    data: data
  })
}